Package com.pixelmed.doseocr

# Class LegacyRadiationDoseOCRDicomForwardingService

java.lang.Object
com.pixelmed.doseocr.LegacyRadiationDoseOCRDicomForwardingService

public class LegacyRadiationDoseOCRDicomForwardingService extends Object

A class to wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to a pre-configured DICOM destination.

The class has no public methods other than the constructor and a main method that is useful as a utility.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`LegacyRadiationDoseOCRDicomForwardingService.OurReceivedObjectHandler`
`protected class`
`LegacyRadiationDoseOCRDicomForwardingService.ReceivedFileProcessor`
`protected class`
`LegacyRadiationDoseOCRDicomForwardingService.Series`
`protected class`
`LegacyRadiationDoseOCRDicomForwardingService.SeriesProcessor`
`protected class`
`LegacyRadiationDoseOCRDicomForwardingService.SeriesQueue`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ourAETitle`
`protected LegacyRadiationDoseOCRDicomForwardingService.SeriesQueue`
`seriesQueue`
`protected String`
`theirAETitle`
`protected String`
`theirHost`
`protected int`
`theirPort`
`protected static long`
`TIMEOUT_BEFORE_CHECKING_FOR_WORK_MS`
`protected static long`
`TIMEOUT_BEFORE_PROCESSING_SERIES_MS`

## Constructor Summary

Constructors
Constructor
Description
`LegacyRadiationDoseOCRDicomForwardingService(int ourPort, String ourAETitle, String theirHost, int theirPort, String theirAETitle, File savedImagesFolder)`
Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.
`LegacyRadiationDoseOCRDicomForwardingService(int ourPort, String ourAETitle, String theirHost, int theirPort, String theirAETitle, File savedImagesFolder, int debugLevel)`
Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.
`LegacyRadiationDoseOCRDicomForwardingService(int ourPort, String ourAETitle, String theirHost, int theirPort, String theirAETitle, File savedImagesFolder, int debugLevel, int networkDebugLevel)`
Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.
`protected void`
`sendSRFile(CTDose ctDose)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TIMEOUT_BEFORE_PROCESSING_SERIES_MS

protected static long TIMEOUT_BEFORE_PROCESSING_SERIES_MS

### TIMEOUT_BEFORE_CHECKING_FOR_WORK_MS

protected static long TIMEOUT_BEFORE_CHECKING_FOR_WORK_MS

### theirHost

protected String theirHost

### theirPort

protected int theirPort

### theirAETitle

protected String theirAETitle

### ourAETitle

protected String ourAETitle

### seriesQueue

protected LegacyRadiationDoseOCRDicomForwardingService.SeriesQueue seriesQueue

## Constructor Details

### LegacyRadiationDoseOCRDicomForwardingService

public LegacyRadiationDoseOCRDicomForwardingService(int ourPort, String ourAETitle, String theirHost, int theirPort, String theirAETitle, File savedImagesFolder, int debugLevel) throws IOException

Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

Parameters:
  `ourPort` - our port
  `ourAETitle` - our AE Title
  `theirHost` - their host name or IP address
  `theirPort` - their port
  `theirAETitle` - their AE title
  `savedImagesFolder` - the folder in which to save the received images
  `debugLevel` - ignored
Throws:
  `IOException`

### LegacyRadiationDoseOCRDicomForwardingService

public LegacyRadiationDoseOCRDicomForwardingService(int ourPort, String ourAETitle, String theirHost, int theirPort, String theirAETitle, File savedImagesFolder, int debugLevel, int networkDebugLevel) throws IOException

Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

Parameters:
  `ourPort` - our port
  `ourAETitle` - our AE Title
  `theirHost` - their host name or IP address
  `theirPort` - their port
  `theirAETitle` - their AE title
  `savedImagesFolder` - the folder in which to save the received images
  `debugLevel` - ignored
  `networkDebugLevel` - ignored
Throws:
  `IOException`

### LegacyRadiationDoseOCRDicomForwardingService

public LegacyRadiationDoseOCRDicomForwardingService(int ourPort, String ourAETitle, String theirHost, int theirPort, String theirAETitle, File savedImagesFolder) throws IOException

Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

Parameters:
  `ourPort` - our port
  `ourAETitle` - our AE Title
  `theirHost` - their host name or IP address
  `theirPort` - their port
  `theirAETitle` - their AE title
  `savedImagesFolder` - the folder in which to save the received images
Throws:
  `IOException`

## Method Details

### sendSRFile

protected void sendSRFile(CTDose ctDose)

### main

public static void main(String[] arg)

Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

Parameters:
  `arg` - array of five strings - our port, our AE Title, their hostname, their port, their AE Title